// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * Comma separator fragment
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class CommaFragment extends SeparatorFragment {
    public CommaFragment() { 
	super(","); templateGeneratorName = "substituteComma"; 
	matcherName = "matchComma"; 
	token = makeToken(JavaTokenTypes.COMMA, ".");
    }   
    public CommaFragment(Token t) { 
	super(t); templateGeneratorName = "substituteComma"; 
	matcherName = "matchComma"; 
    }   
    public Fragment compileTemplate(int depth) { 
	return compileSpecialTemplate(depth); 
    }
}

