// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * A punctuation for question marks
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class QuestionFragment extends PunctuationFragment {
    public QuestionFragment() { 
	super("?"); templateGeneratorName = "substituteQuestion"; 
	token = makeToken(JavaTokenTypes.QUESTION, ".");
	matcherName = "matchQuestion"; 
    }
    public QuestionFragment(Token t) { 
	super(t); templateGeneratorName = "substituteQuestion"; 
	matcherName = "matchQuestion"; 
    }
    public Fragment compileTemplate(int depth) { 
	return compileSpecialTemplate(depth); 
    }
}

