// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * Pattern matching constraint for an identifier
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class nameSConstraint extends BaseSyntaxConstraint 
      implements SyntaxConstraint {
    public String  getName() { return "name"; }
    public Class   getFragmentClass() { 
	return getFragmentClass("IdentifierFragment");
    }

    public boolean isAdmissable (FragmentList fragments) {
	return fragments.size() == 1 
	    && fragments.getFragmentHead() instanceof IdentifierFragment;
    }
}
