// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * A Java grammar constraint representing the typeSpec nonterminal
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class typeSConstraint extends BaseSyntaxConstraint
      /* extends GrammarSyntaxConstraint */ implements SyntaxConstraint {
    public String  getName() { return "type"; }

    public boolean isAdmissable (FragmentList fragments) {
	return (fragments.size() == 1 
	    && fragments.getFragmentHead() instanceof IdentifierFragment)
	    || (fragments.size() == 2
		&& fragments.felt(0) instanceof IdentifierFragment
		&& fragments.felt(1) instanceof BracketsFragment
		&& ((BracketsFragment)fragments.felt(1))
		    .getInsideFragments().isEmpty());
    }
    // public void parse
    //    (JavaTokenLexer lexer, JavaRecognizer parser) throws Exception {
    // 	parser.typeSpec(false);
    // }
}
